Subject: Re: [lisp] I-D Action: draft-ietf-lisp-yang-14.txt

From: tom petch <[email-masked]>
Date: Thu, 10 Sep 2020 12:10:24 +0100

I struggle to understand this.  The first thing that
I want to know is about modules and prefix and I turn to the IANA
Considerations but it is only half there, the bit about module name and
prefix is missing. Looking at the modules, there seems to
be too many prefix; lisp, listitr, lispetr, listmr, lispms - fine but
what is this lcaf and laddr? why is it not just lispaf or lispt or lisp 
anything
so that the user knows what it is?

Good practice is to have a table early on in the text of all the
modules, defined and imported, with all the prefix and the document
where they are defined.  I suggest that you add one.

Tom Petch

> ----- Original Message -----
> From: <[email-masked]>
> To: <[email-masked]>
> Cc: <[email-masked]>
> Sent: Wednesday, September 09, 2020 12:53 AM
> Subject: I-D Action: draft-ietf-lisp-yang-14.txt
>
>
>>
>> A New Internet-Draft is available from the on-line Internet-Drafts
> directories.
>> This draft is a work item of the Locator/ID Separation Protocol WG of
> the IETF.
>>
>>          Title           : LISP YANG Model
>>          Authors         : Vina Ermagan
>>                            Alberto Rodriguez-Natal
>>                            Florin Coras
>>                            Carl Moberg
>>                            Reshad Rahman
>>                            Albert Cabellos-Aparicio
>>                            Fabio Maino
>>          Filename        : draft-ietf-lisp-yang-14.txt
>>          Pages           : 79
>>          Date            : 2020-09-08
>>
>> Abstract:
>>     This document describes a YANG data model to use with the
> Locator/ID
>>     Separation Protocol (LISP).
>>
>>     The YANG modules in this document conform to the Network Management
>>     Datastore Architecture (NMDA).
>>
>>
>> The IETF datatracker status page for this draft is:
>> https://datatracker.ietf.org/doc/draft-ietf-lisp-yang/
>>
>> There are also htmlized versions available at:
>> https://tools.ietf.org/html/draft-ietf-lisp-yang-14
>> https://datatracker.ietf.org/doc/html/draft-ietf-lisp-yang-14
>>
>> A diff from the previous version is available at:
>> https://www.ietf.org/rfcdiff?url2=draft-ietf-lisp-yang-14
>>
>>
>> Please note that it may take a couple of minutes from the time of
> submission
>> until the htmlized version and diff are available at tools.ietf.org.
>>
>> Internet-Drafts are also available by anonymous FTP at:
>> ftp://ftp.ietf.org/internet-drafts/
>>
>>
>> _______________________________________________
>> I-D-Announce mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/i-d-announce
>> Internet-Draft directories: http://www.ietf.org/shadow.html
>> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>> .
>>
>>
>

---

From: "Alberto Rodriguez Natal (natal)" <[email-masked]>
Date: Sat, 19 Sep 2020 02:08:14 +0000

Hi Tom,

Thanks for reviewing the draft. 

Following your suggestions, we will include a table in the Introduction with the prefixes for the modules (similar to the table in section 2.3 of RFC8022 for instance). Likewise, we will edit the IANA considerations to include also the prefixes for the modules.

As for 'lcaf' and 'laddr', they are both prefixes for 'ietf-lisp-address-types', maybe we can converge in using 'lispaddr' as the prefix for that module?

Let us know what you think.

Thanks!
Alberto

On 9/10/20, 4:13 AM, "lisp on behalf of tom petch" <[email-masked] on behalf of [email-masked]> wrote:

    Tom Petch

    _______________________________________________
    lisp mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/lisp